package com.bonus.sharedstation.web.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

@TableName("yz_notice_info")
public class NoticeInfo implements java.io.Serializable {
    /**
     * 序列化版本号
     */
    private static final long serialVersionUID = -8270716895549511777L;
    private Long id; // 公告ID
    private String noticeName; // 公告名称
    private String instruction; // 富文本内容
    private String logoAddress; // 缩略图
    private String publishStatus; // 发布状态，1表示已发布，0表示未发布
    private String createdBy; // 创建人
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime; // 创建时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatedTime; // 修改时间
    private String updatedBy; // 修改人
    private String isDeleted; // 逻辑删除标识，1表示已删除，0表示未删除
    private String backGroundAddress; // 背景图
    private Integer tenantId; // 租户ID
    private String noticeType; //公告类型
    @TableField(exist = false)
    private String noticeTypeName; //公告类型

    private String parkType; //园区

    @TableField(exist = false)
    private String parkTypeName; //园区

    public String getNoticeTypeName() {
        return noticeTypeName;
    }

    public void setNoticeTypeName(String noticeTypeName) {
        this.noticeTypeName = noticeTypeName;
    }

    public String getParkTypeName() {
        return parkTypeName;
    }

    public void setParkTypeName(String parkTypeName) {
        this.parkTypeName = parkTypeName;
    }

    @Override
    public String toString() {
        return "NoticeInfo{" +
                "id=" + id +
                ", noticeName='" + noticeName + '\'' +
                ", instruction='" + instruction + '\'' +
                ", logoAddress='" + logoAddress + '\'' +
                ", publishStatus='" + publishStatus + '\'' +
                ", createdBy='" + createdBy + '\'' +
                ", createdTime=" + createdTime +
                ", updatedTime=" + updatedTime +
                ", updatedBy='" + updatedBy + '\'' +
                ", isDeleted='" + isDeleted + '\'' +
                ", backGroundAddress='" + backGroundAddress + '\'' +
                ", tenantId=" + tenantId +
                ", noticeType='" + noticeType + '\'' +
                ", parkType='" + parkType + '\'' +
                '}';
    }

    public String getNoticeType() {
        return noticeType;
    }

    public void setNoticeType(String noticeType) {
        this.noticeType = noticeType;
    }

    public String getParkType() {
        return parkType;
    }

    public void setParkType(String parkType) {
        this.parkType = parkType;
    }

    // Getters and Setters
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getNoticeName() {
        return noticeName;
    }

    public void setNoticeName(String noticeName) {
        this.noticeName = noticeName;
    }

    public String getInstruction() {
        return instruction;
    }

    public void setInstruction(String instruction) {
        this.instruction = instruction;
    }

    public String getLogoAddress() {
        return logoAddress;
    }

    public void setLogoAddress(String logoAddress) {
        this.logoAddress = logoAddress;
    }

    public String getPublishStatus() {
        return publishStatus;
    }

    public void setPublishStatus(String publishStatus) {
        this.publishStatus = publishStatus;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public String getBackGroundAddress() {
        return backGroundAddress;
    }

    public void setBackGroundAddress(String backGroundAddress) {
        this.backGroundAddress = backGroundAddress;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }
}
